Subject: [PATCH] mmc: at91-mci: remove driver

From: [email-masked] (Nicolas Ferre)
Date: Tue, 30 Oct 2012 18:08:59 +0100

On 10/30/2012 04:43 PM, Jean-Christophe PLAGNIOL-VILLARD :
> On 11:38 Tue 30 Oct     , Chris Ball wrote:
>> Hi,
>>
>> On Tue, Oct 30 2012, Jean-Christophe PLAGNIOL-VILLARD wrote:
>>> On 11:09 Tue 30 Oct     , Chris Ball wrote:
>>>> Hi,
>>>>
>>>> On Tue, Oct 30 2012, Jean-Christophe PLAGNIOL-VILLARD wrote:
>>>>>> Thanks!  Pushed to mmc-next for 3.8.
>>>>>
>>>>> if you don't mind I prefer to take it via at91
>>>>>
>>>>> I've a patch series that cleanup the platform_data it's difficult to merge
>>>>> with this one
>>>>
>>>> Hm, I don't understand why it should be difficult to merge.  Is it
>>>> because this patch modifies arch/arm/mach-at91/include/mach/board.h?
>>>>
>>>> If so, sounds like we should just take that change out of this patch
>>>> and have it go into your platform data cleanup patch, and then I can
>>>> merge the drivers/mmc change independently?  Let me know what you think.
>>> I'm modifing and moiving the board.h so this file will not exist anymore
>>>
>>> and the platform data are not anymore in arch/arm/mach-at91/include/mach/board.h
>>
>> Can we take the modification of board.h out of this patch, then,
>> leaving just the drivers/mmc/ changes?
> If you really insist but for changelog history and bisectable I'll prefer to
> do not do so

Why don't we leave the code already submitted in the mmc tree. It seems
that the conflict can be pretty easily handled in advance as it ends up
being a file removal...

So, I would not bother Chris with our own business and would just manage
the conflict later, in linux-next (maybe sending a little note to Stephen).

My $0.02.

Bye,
-- 
Nicolas Ferre